#pragma once
#include "../StaticLocation.h"

// TODO: implement

class ShapeLocation : public StaticLocation
{
public:
  virtual std::pair<BWAPI::TilePosition, int> getOldestVisibleTile() const
  {
    throw std::runtime_error("Not implemented");
  }

  virtual BWAPI::TilePosition getRandomTile() const
  {
    throw std::runtime_error("Not implemented");
  }
};